> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Card

> This api is for merchants integrating order process api and want to check if customer provided vpa is valid or not.

This API is used to validate card details before initiating a transaction.

### Request Body

```json theme={null}
{
  "key": "string", // Merchant API key
  "card_number": "string", // Card number
  "expiry_date": "string", // Card expiry date in MM/YY format
  "cvv": "string", // Card CVV
  "hash": "string" // Calculated hash for request validation
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "message": "Card is valid",
  "card_type": "string"
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid card details",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v1/info/bin
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v1/info/bin:
    post:
      summary: Validate Card
      description: >-
        This api is for merchants integrating order process api and want to
        check if customer provided vpa is valid or not.
      operationId: validate-card
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - key
                - bin
                - hash
              properties:
                key:
                  type: string
                  description: Merchant key, available in dashboard profile section
                bin:
                  type: string
                  description: >-
                    card bin you want to be validated.( first 6 digits of card
                    number )
                hash:
                  type: string
                  description: to be calculated for this request
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````